statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.ChiSquared

Description

The chi-squared distribution. This is a continuous probability distribution of sum of squares of k independent standard normal distributions. It's commonly used in statistical tests

Synopsis

- data ChiSquared
- chiSquared :: Int -> ChiSquared
- chiSquaredNDF :: ChiSquared -> Int

# Documentation

data ChiSquared Source

Chi-squared distribution

Instances

Show ChiSquared |
Typeable ChiSquared |
ContGen ChiSquared |
Variance ChiSquared |
MaybeVariance ChiSquared |
Mean ChiSquared |
MaybeMean ChiSquared |
ContDistr ChiSquared |
Distribution ChiSquared |

chiSquared :: Int -> ChiSquared Source

Construct chi-squared distribution. Number of degrees of freedom must be positive.

chiSquaredNDF :: ChiSquared -> Int Source

Get number of degrees of freedom